## haskell-convertible 1.1.1.0

=== Makefile ===
all: setup
	@echo "Please use Cabal to build this package; not make."
	./setup configure
	./setup build

setup: Setup.lhs
	ghc --make -o setup Setup.lhs

install: setup
	./setup install

clean:
	-./setup clean
	-runghc Setup.lhs clean

.PHONY: test
test: test-ghc test-hugs
	@echo ""
	@echo "All tests pass."

test-hugs:
	@echo " ****** Running hugs tests"
	runhugs -98 +o -P$(PWD):$(PWD)/testsrc: testsrc/runtests.hs

test-ghc:
	@echo " ****** Building GHC tests"
	runghc Setup.lhs configure -f buildtests
	runghc Setup.lhs build
	@echo " ****** Running GHC tests"
	./dist/build/runtests/runtests

## haskell-convertible 1.0.9

=== debian/changelog ===
haskell-convertible (1.0.9-4) unstable; urgency=low

  * [1f4b6cc] Standards-Version → 3.9.2, no changes required
  * [bc00b62] debian/control: Update BDs and package names for ghc6→ghc
  * [f63c673] Relax build-dependency on time
  * [1ee4138] Add new patch to relax build dependency on time library

 -- Iain Lane <laney@debian.org>  Thu, 26 May 2011 10:56:53 +0100

haskell-convertible (1.0.9-3) unstable; urgency=low

  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 23:13:56 -0300

haskell-convertible (1.0.9-2) unstable; urgency=low

  * debian/control: Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 17 Mar 2010 19:39:18 -0300

haskell-convertible (1.0.9-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for GHC 6.12.
  * Drop Hugs build for now due to Cabal issue.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Feb 2010 11:08:10 -0600

haskell-convertible (1.0.6-3) unstable; urgency=low

  * Build depend on cpphs to prevent FTBFS. (Closes: #556819)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 05 Dec 2009 19:11:33 +0100

haskell-convertible (1.0.6-2) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * debian/rules
    - Convert to hlibrary.mk (dh_haskell was removed to haskell-devscripts).
  * debian/control
    - Depend on haskell-devscripts >= 0.6.18.
    - Move Build-Depends-Indeps to Build-Depends.
    - Add hscolour to build deps.
    - Standards-Version 3.8.3
    - Section haskell.
   * debian/compat
    - Version 5

  [ Joachim Breitner ]
  * Change priority to extra
  * Put packages in section haskell properly
  * Add ${misc:Depends} and other subst vars

 -- Joachim Breitner <nomeata@debian.org>  Sat, 05 Dec 2009 17:42:10 +0100

haskell-convertible (1.0.6-1) unstable; urgency=low

  * New upstream release fixes issues with time library.
  * Move this to Haskell team maintenance.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 02 Nov 2009 16:19:21 -0600

haskell-convertible (1.0.2-2) unstable; urgency=low

  * Remove requirement for ghci at build time.  Closes: #520860.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Jul 2009 01:21:40 -0500

haskell-convertible (1.0.2-1) unstable; urgency=low

  * Added Double conversion to/from System.Time.TimeDiff.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 11 Mar 2009 14:49:33 -0500

haskell-convertible (1.0.1-2) unstable; urgency=low

  * Now build a porfiling version.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 Jan 2009 12:30:31 -0600

haskell-convertible (1.0.1-1) unstable; urgency=low

  * New upstream release.
    + Fixes an odd bug with ClockTime <-> POSIXTime conversions before the epoch.
    + Added tests to detect the above bug.
    + New convertVia function.
    + New C type instances.
    + Simplified some existing instances.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 Jan 2009 11:45:24 -0600

haskell-convertible (1.0.0-1) unstable; urgency=low

  * Initial release.  Closes: #513145.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 13 Jan 2009 15:04:27 -0600

=== debian/control ===
Source: haskell-convertible
Priority: extra
Uploaders: John Goerzen <jgoerzen@complete.org>
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0.0),
 cdbs,
 haddock,
 hscolour,
 haskell-devscripts (>= 0.8),
 ghc, 
 cpphs,
 ghc-doc,
 libghc-mtl-dev,
 libghc-time-dev,
 libghc-mtl-prof,
 libghc-time-prof,
 libghc-mtl-doc,
 libghc-time-doc
Standards-Version: 3.9.2
Section: haskell
Homepage: http://hackage.haskell.org/cgi-bin/hackage-scripts/package/convertible
Vcs-Git: git://git.debian.org/git/pkg-haskell/haskell-convertible.git
Vcs-Browser: http://git.debian.org/?p=pkg-haskell/haskell-convertible.git;a=summary

Package: libghc-convertible-dev
Architecture: any
Depends: ${misc:Depends},  ${haskell:Depends}, ${shlibs:Depends}
Suggests: ${haskell:Suggests}
Description: Typeclasses and instances for converting between types, GHC package
 convertible provides a typeclass with a single function
 that is designed to help convert between different types: numeric
 values, dates and times, and the like.  The conversions perform bounds
 checking and return a pure Either value.  This means that you need
 not remember which specific function performs the conversion you
 desire.
 .
 Also included in the package are optional instances that provide
 conversion for various numeric and time types, as well as utilities
 for writing your own instances.
 .
 Finally, there is a function that will raise an exception on
 bounds-checking violation, or return a bare value otherwise,
 implemented in terms of the safer function described above.
 .
 Convertible is also used by HDBC 2.0 for handling marshalling of
 data to/from databases.
 .
 Convertible is backed by an extensive test suite and passes tests
 on GHC and Hugs.

Package: libghc-convertible-prof
Architecture: any
Depends:  ${misc:Depends}, ${haskell:Depends}
Description: Typeclasses and instances for converting between types, GHC profiling package
 convertible provides a typeclass with a single function
 that is designed to help convert between different types: numeric
 values, dates and times, and the like.  The conversions perform bounds
 checking and return a pure Either value.  This means that you need
 not remember which specific function performs the conversion you
 desire.
 .
 Also included in the package are optional instances that provide
 conversion for various numeric and time types, as well as utilities
 for writing your own instances.
 .
 Finally, there is a function that will raise an exception on
 bounds-checking violation, or return a bare value otherwise,
 implemented in terms of the safer function described above.
 .
 Convertible is also used by HDBC 2.0 for handling marshalling of
 data to/from databases.
 .
 Convertible is backed by an extensive test suite and passes tests
 on GHC and Hugs.

Package: libghc-convertible-doc
Replaces: haskell-convertible-doc (<< 1.0.9-2)
Conflicts: haskell-convertible-doc (<< 1.0.9-2)
Provides: haskell-convertible-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Typeclasses and instances for converting between types, documentation
 convertible provides a typeclass with a single function
 that is designed to help convert between different types: numeric
 values, dates and times, and the like.  The conversions perform bounds
 checking and return a pure Either value.  This means that you need
 not remember which specific function performs the conversion you
 desire.
 .
 Also included in the package are optional instances that provide
 conversion for various numeric and time types, as well as utilities
 for writing your own instances.
 .
 Finally, there is a function that will raise an exception on
 bounds-checking violation, or return a bare value otherwise,
 implemented in terms of the safer function described above.
 .
 Convertible is also used by HDBC 2.0 for handling marshalling of
 data to/from databases.
 .
 Convertible is backed by an extensive test suite and passes tests
 on GHC and Hugs.
 .
 This package provides documentation on the Convertible API.

## haskell-convertible 1.0.11.0

=== debian/changelog ===
haskell-convertible (1.0.11.0-3build1) quantal; urgency=low

  * No-change rebuild for new ghc ABI.

 -- Ilya Barygin <randomaction@ubuntu.com>  Tue, 10 Jul 2012 20:49:49 +0400

haskell-convertible (1.0.11.0-3) unstable; urgency=low

  * Update 0001-Relax-build-dependency-on-time.patch for GHC 7.4.1.

 -- Clint Adams <clint@debian.org>  Thu, 09 Feb 2012 15:31:19 -0500

haskell-convertible (1.0.11.0-2) unstable; urgency=low

  * Add necessary haskell subst variables 

 -- Joachim Breitner <nomeata@debian.org>  Wed, 14 Sep 2011 23:47:02 +0200

haskell-convertible (1.0.11.0-1) unstable; urgency=low

  * New upstream version, relicensed.

 -- Clint Adams <clint@debian.org>  Sat, 10 Sep 2011 17:35:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: haskell-convertible
 Priority: extra
-Uploaders: John Goerzen <jgoerzen@complete.org>
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 5.0.0),
- cdbs,
- haddock,
- hscolour,
- haskell-devscripts (>= 0.8),
- ghc, 
- cpphs,
- ghc-doc,
- libghc-mtl-dev,
- libghc-time-dev,
- libghc-mtl-prof,
- libghc-time-prof,
- libghc-mtl-doc,
- libghc-time-doc
+Uploaders: John Goerzen <jgoerzen@complete.org>, Clint Adams <clint@debian.org>
+Build-Depends: debhelper (>= 5.0.0)
+ , cdbs
+ , haddock
+ , hscolour
+ , haskell-devscripts (>= 0.8)
+ , ghc
+ , cpphs
+ , libghc-mtl-dev
+ , libghc-time-dev
+ , libghc-text-dev (>> 0.7)
+ , libghc-mtl-prof
+ , libghc-time-prof
+ , libghc-text-prof
+Build-Depends-Indep: ghc-doc
+ , libghc-mtl-doc
+ , libghc-time-doc
+ , libghc-text-doc
 Standards-Version: 3.9.2
 Section: haskell
 Homepage: http://hackage.haskell.org/cgi-bin/hackage-scripts/package/convertible
@@ -26,6 +29,8 @@
 Architecture: any
 Depends: ${misc:Depends},  ${haskell:Depends}, ${shlibs:Depends}
 Suggests: ${haskell:Suggests}
+Recommends: ${haskell:Recommends}
+Provides: ${haskell:Provides}
 Description: Typeclasses and instances for converting between types, GHC package
  convertible provides a typeclass with a single function
  that is designed to help convert between different types: numeric
@@ -51,6 +56,9 @@
 Package: libghc-convertible-prof
 Architecture: any
 Depends:  ${misc:Depends}, ${haskell:Depends}
+Suggests: ${haskell:Suggests}
+Recommends: ${haskell:Recommends}
+Provides: ${haskell:Provides}
 Description: Typeclasses and instances for converting between types, GHC profiling package
  convertible provides a typeclass with a single function
  that is designed to help convert between different types: numeric

## haskell-convertible 1.0.11.1

=== debian/changelog ===
haskell-convertible (1.0.11.1-2build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 10:42:00 +0100

haskell-convertible (1.0.11.1-2) unstable; urgency=low

  * Enable compat level 9
  * Bump standards version to 3.9.4

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:13 +0200

haskell-convertible (1.0.11.1-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this package is built
    against experimental
  * Change Vcs headers to Darcs
  * Add watch file
  * New upstream release
    + Drop 0001-Relax-build-dependency-on-time.patch

 -- Joachim Breitner <nomeata@debian.org>  Fri, 04 Jan 2013 16:33:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: John Goerzen <jgoerzen@complete.org>, Clint Adams <clint@debian.org>
-Build-Depends: debhelper (>= 5.0.0)
+Build-Depends: debhelper (>= 9)
  , cdbs
  , haddock
  , hscolour
- , haskell-devscripts (>= 0.8)
+ , haskell-devscripts (>= 0.8.13)
  , ghc
  , cpphs
  , libghc-mtl-dev
@@ -19,11 +19,11 @@
  , libghc-mtl-doc
  , libghc-time-doc
  , libghc-text-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Section: haskell
 Homepage: http://hackage.haskell.org/cgi-bin/hackage-scripts/package/convertible
-Vcs-Git: git://git.debian.org/git/pkg-haskell/haskell-convertible.git
-Vcs-Browser: http://git.debian.org/?p=pkg-haskell/haskell-convertible.git;a=summary
+Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-convertible
+Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-convertible
 
 Package: libghc-convertible-dev
 Architecture: any

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|convertible-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/convertible \
    ([\d\.]*\d)/

## haskell-convertible 1.1.0.0

=== debian/changelog ===
haskell-convertible (1.1.0.0-3build2) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Jun 2015 12:53:15 +0100

haskell-convertible (1.1.0.0-3build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 24 May 2015 09:32:49 +0100

haskell-convertible (1.1.0.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:48:37 +0200

haskell-convertible (1.1.0.0-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:09:58 +0100

haskell-convertible (1.1.0.0-1) unstable; urgency=medium

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 01 Jun 2014 20:20:10 -0400

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
  , cdbs
  , haddock
  , hscolour
- , haskell-devscripts (>= 0.8.13)
+ , haskell-devscripts (>= 0.9)
  , ghc
  , cpphs
  , libghc-mtl-dev
  , libghc-time-dev
- , libghc-text-dev (>> 0.7)
+ , libghc-text-dev (>= 0.7)
  , libghc-mtl-prof
  , libghc-time-prof
  , libghc-text-prof
@@ -19,7 +19,7 @@
  , libghc-mtl-doc
  , libghc-time-doc
  , libghc-text-doc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: haskell
 Homepage: http://hackage.haskell.org/cgi-bin/hackage-scripts/package/convertible
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-convertible

## haskell-convertible 1.1.1.0

=== debian/changelog ===
haskell-convertible (1.1.1.0-3build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jan 2016 18:27:04 +0000

haskell-convertible (1.1.1.0-3) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:15 -0500

haskell-convertible (1.1.1.0-2) experimental; urgency=medium

  * Explicitly depend on old-{locale,time}
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:16 +0200

haskell-convertible (1.1.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 10:47:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,39 @@
 Source: haskell-convertible
-Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: John Goerzen <jgoerzen@complete.org>, Clint Adams <clint@debian.org>
-Build-Depends: debhelper (>= 9)
- , cdbs
- , haddock
- , hscolour
- , haskell-devscripts (>= 0.9)
- , ghc
- , cpphs
- , libghc-mtl-dev
- , libghc-time-dev
- , libghc-text-dev (>= 0.7)
- , libghc-mtl-prof
- , libghc-time-prof
- , libghc-text-prof
-Build-Depends-Indep: ghc-doc
- , libghc-mtl-doc
- , libghc-time-doc
- , libghc-text-doc
-Standards-Version: 3.9.5
+Priority: extra
 Section: haskell
-Homepage: http://hackage.haskell.org/cgi-bin/hackage-scripts/package/convertible
-Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-convertible
-Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-convertible
+Build-Depends: debhelper (>= 9),
+ haskell-devscripts (>= 0.10),
+ cdbs,
+ ghc,
+ ghc-prof,
+ libghc-mtl-dev,
+ libghc-mtl-prof,
+ libghc-old-locale-dev,
+ libghc-old-locale-prof,
+ libghc-old-time-dev,
+ libghc-old-time-prof,
+ libghc-text-dev (>= 0.8),
+ libghc-text-prof,
+Build-Depends-Indep: ghc-doc,
+ libghc-mtl-doc,
+ libghc-old-locale-doc,
+ libghc-old-time-doc,
+ libghc-text-doc,
+Standards-Version: 3.9.6
+Homepage: http://hackage.haskell.org/package/convertible
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
+Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: libghc-convertible-dev
 Architecture: any
-Depends: ${misc:Depends},  ${haskell:Depends}, ${shlibs:Depends}
-Suggests: ${haskell:Suggests}
-Recommends: ${haskell:Recommends}
-Provides: ${haskell:Provides}
+Depends: ${misc:Depends},
+ ${haskell:Depends},
+ ${shlibs:Depends},
+Recommends: ${haskell:Recommends},
+Suggests: ${haskell:Suggests},
+Provides: ${haskell:Provides},
 Description: Typeclasses and instances for converting between types, GHC package
  convertible provides a typeclass with a single function
  that is designed to help convert between different types: numeric
@@ -55,10 +58,11 @@
 
 Package: libghc-convertible-prof
 Architecture: any
-Depends:  ${misc:Depends}, ${haskell:Depends}
-Suggests: ${haskell:Suggests}
-Recommends: ${haskell:Recommends}
-Provides: ${haskell:Provides}
+Depends: ${misc:Depends},
+ ${haskell:Depends},
+Recommends: ${haskell:Recommends},
+Suggests: ${haskell:Suggests},
+Provides: ${haskell:Provides},
 Description: Typeclasses and instances for converting between types, GHC profiling package
  convertible provides a typeclass with a single function
  that is designed to help convert between different types: numeric
@@ -82,14 +86,15 @@
  on GHC and Hugs.
 
 Package: libghc-convertible-doc
-Replaces: haskell-convertible-doc (<< 1.0.9-2)
-Conflicts: haskell-convertible-doc (<< 1.0.9-2)
-Provides: haskell-convertible-doc
+Architecture: all
 Section: doc
-Architecture: all
-Depends: ${haskell:Depends}, ${misc:Depends}
-Recommends: ${haskell:Recommends}
-Suggests: ${haskell:Suggests}
+Depends: ${haskell:Depends},
+ ${misc:Depends},
+Recommends: ${haskell:Recommends},
+Suggests: ${haskell:Suggests},
+Conflicts: haskell-convertible-doc (<< 1.0.9-2),
+Provides: haskell-convertible-doc,
+Replaces: haskell-convertible-doc (<< 1.0.9-2),
 Description: Typeclasses and instances for converting between types, documentation
  convertible provides a typeclass with a single function
  that is designed to help convert between different types: numeric

=== debian/watch ===
version=3
http://hackage.haskell.org/package/convertible/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-convertible 1.1.1.1

=== debian/changelog ===
haskell-convertible (1.1.1.1-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 18 Sep 2024 15:32:38 +0300

haskell-convertible (1.1.1.1-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 31 Aug 2023 16:52:45 +0300

haskell-convertible (1.1.1.1-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 02 Jul 2022 20:01:35 +0300

haskell-convertible (1.1.1.0-9) unstable; urgency=medium

  * Sourceful upload for GHC 8.8

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 13 Jun 2020 17:50:22 +0300

haskell-convertible (1.1.1.0-8) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:28 +0300

haskell-convertible (1.1.1.0-7) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:04:56 +0300

haskell-convertible (1.1.1.0-6) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:44 -0400

haskell-convertible (1.1.1.0-5) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:33:01 -0400

haskell-convertible (1.1.1.0-4) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 00:40:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,38 @@
 Source: haskell-convertible
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: John Goerzen <jgoerzen@complete.org>, Clint Adams <clint@debian.org>
-Priority: extra
+Uploaders:
+ John Goerzen <jgoerzen@complete.org>,
+ Clint Adams <clint@debian.org>,
+Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 9),
- haskell-devscripts (>= 0.10),
+Rules-Requires-Root: no
+Build-Depends:
  cdbs,
- ghc,
+ debhelper (>= 10),
+ ghc (>= 9.4),
  ghc-prof,
- libghc-mtl-dev,
- libghc-mtl-prof,
- libghc-old-locale-dev,
- libghc-old-locale-prof,
+ haskell-devscripts (>= 0.13),
  libghc-old-time-dev,
  libghc-old-time-prof,
- libghc-text-dev (>= 0.8),
- libghc-text-prof,
 Build-Depends-Indep: ghc-doc,
- libghc-mtl-doc,
- libghc-old-locale-doc,
  libghc-old-time-doc,
- libghc-text-doc,
-Standards-Version: 3.9.6
+Standards-Version: 4.7.0
 Homepage: http://hackage.haskell.org/package/convertible
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-convertible
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-convertible]
 
 Package: libghc-convertible-dev
 Architecture: any
-Depends: ${misc:Depends},
+Depends:
  ${haskell:Depends},
+ ${misc:Depends},
  ${shlibs:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Provides: ${haskell:Provides},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Provides:
+ ${haskell:Provides},
 Description: Typeclasses and instances for converting between types, GHC package
  convertible provides a typeclass with a single function
  that is designed to help convert between different types: numeric
@@ -58,11 +57,15 @@
 
 Package: libghc-convertible-prof
 Architecture: any
-Depends: ${misc:Depends},
+Depends:
  ${haskell:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Provides: ${haskell:Provides},
+ ${misc:Depends},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Provides:
+ ${haskell:Provides},
 Description: Typeclasses and instances for converting between types, GHC profiling package
  convertible provides a typeclass with a single function
  that is designed to help convert between different types: numeric
@@ -88,13 +91,19 @@
 Package: libghc-convertible-doc
 Architecture: all
 Section: doc
-Depends: ${haskell:Depends},
+Depends:
+ ${haskell:Depends},
  ${misc:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Conflicts: haskell-convertible-doc (<< 1.0.9-2),
-Provides: haskell-convertible-doc,
-Replaces: haskell-convertible-doc (<< 1.0.9-2),
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Conflicts:
+ haskell-convertible-doc (<< 1.0.9-2),
+Provides:
+ haskell-convertible-doc,
+Replaces:
+ haskell-convertible-doc (<< 1.0.9-2),
 Description: Typeclasses and instances for converting between types, documentation
  convertible provides a typeclass with a single function
  that is designed to help convert between different types: numeric

=== debian/watch ===
version=3
https://hackage.haskell.org/package/convertible/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
